$(function () {

    /*
        Drower Menu
    ------------------------------------------------*/
    $('.js-hamburgerButton').click(function () {
        $('body').toggleClass('is-drawerActive');

        if ($(this).attr('aria-expanded') == 'false') {
            $(this).attr('aria-expanded', true);
        } else {
            $(this).attr('aria-expanded', false);
        }
    });


    /*
        Dropdown Menu
    ------------------------------------------------*/
    $('.js-parentMenu').mouseover(function () {
        $(this).find('.js-childMenu').addClass('is-dropdownActive');
    });
    $('.js-parentMenu').mouseout(function () {
        $(this).find('.js-childMenu').removeClass('is-dropdownActive');
    });


    /*
        Accordion
    ------------------------------------------------*/
    $('.js-accordionPanel').hide();
    $('.js-accordionButton').click(function () {
        $(this).toggleClass('is-accordionActive').parent().next().slideToggle(200);
    });




});
